Bug 128359 - Assertion failure when inserting column after the last one
Summary: Assertion failure when inserting column after the last one
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords:
Depends on:
Blocks: Assert
  Show dependency treegraph
 
Reported: 2019-10-23 20:35 UTC by Aron Budea
Modified: 2019-10-27 08:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (10.70 KB, text/plain)
2019-10-24 20:18 UTC, Julien Nabet
Details
bt with debug symbols (when trying to add a row after last row) (10.71 KB, text/plain)
2019-10-24 20:21 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-10-23 20:35:25 UTC
As usual, this only occurs with a debug build.
Originally reported by Oliver Brinzig in bug 50916 comment 115.

- Navigate to the last column, eg. enter AMJ1 in the name box.
- Right-click header, and select: Insert Column After.

=> Assertion failed.

soffice.bin: /.../libreoffice/sc/source/ui/docshell/docfunc.cxx:1706: bool ScDocFunc::InsertCells(const ScRange&, const ScMarkData*, InsCellCmd, bool, bool, bool): Assertion `!"can't move"' failed.

The assertion check has been added in the following commit:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=9c1ba0988f5db05bb796eaf7cf902a0b601c6736
author		Eike Rathke <erack@redhat.com>	2015-12-11 14:27:33 +0100
committer	Eike Rathke <erack@redhat.com>	2015-12-11 14:44:41 +0100

geez, how about actually checking the Move() error return? tdf#92779 related
Comment 1 Julien Nabet 2019-10-24 20:18:00 UTC
Created attachment 155291 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Julien Nabet 2019-10-24 20:21:44 UTC
Created attachment 155292 [details]
bt with debug symbols (when trying to add a row after last row)
Comment 3 Eike Rathke 2019-10-25 17:56:37 UTC
Taking.
Comment 4 Commit Notification 2019-10-26 17:03:02 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9b5adc3d9842303e00eba8ffd239a4015bf8355b

Resolves: tdf#128359 Do nothing if Insert After can't be shifted to Before

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2019-10-26 17:03:52 UTC
Pending review https://gerrit.libreoffice.org/81549 for 6-3
Comment 6 Commit Notification 2019-10-27 08:51:11 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/07d470b1ec314cb74effecafab3b62935270c99b

Resolves: tdf#128359 Do nothing if Insert After can't be shifted to Before

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.